Admiral

Issuers

Register an issuer

POST
/v1/issuers

Scope: serviceaccount:write

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

create_issuer.keys // keys must be a jwks_uri or a jwks; reported keys come only from enrollment

Response Body

application/json

curl -X POST "https://example.com/v1/issuers" \  -H "Content-Type: application/json" \  -d '{    "issuer": {      "keys": {}    }  }'
{  "issuer": {    "id": "string",    "name": "string",    "iss": "string",    "keys": {      "jwks": "string"    },    "key_ids": [      "string"    ],    "keys_updated_at": "2023-01-15T01:30:15.01Z",    "pending_key_ids": [      "string"    ],    "pending_keys_at": "2023-01-15T01:30:15.01Z",    "created_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "created_at": "2023-01-15T01:30:15.01Z"  }}